OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.FogCoord

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTFogCoord :: MonadIO m => m Bool
- gl_EXT_fog_coord :: Bool
- pattern GL_CURRENT_FOG_COORDINATE_EXT :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY_EXT :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY_POINTER_EXT :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY_STRIDE_EXT :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY_TYPE_EXT :: GLenum
- pattern GL_FOG_COORDINATE_EXT :: GLenum
- pattern GL_FOG_COORDINATE_SOURCE_EXT :: GLenum
- pattern GL_FRAGMENT_DEPTH_EXT :: GLenum
- glFogCoordPointerEXT :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()
- glFogCoorddEXT :: MonadIO m => GLdouble -> m ()
- glFogCoorddvEXT :: MonadIO m => Ptr GLdouble -> m ()
- glFogCoordfEXT :: MonadIO m => GLfloat -> m ()
- glFogCoordfvEXT :: MonadIO m => Ptr GLfloat -> m ()

# Extension Support

glGetEXTFogCoord :: MonadIO m => m Bool Source #

Is the EXT_fog_coord extension supported?

gl_EXT_fog_coord :: Bool Source #

Is the EXT_fog_coord extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTFogCoord` in those cases instead.

# Enums

pattern GL_CURRENT_FOG_COORDINATE_EXT :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY_EXT :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY_POINTER_EXT :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY_STRIDE_EXT :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY_TYPE_EXT :: GLenum Source #

pattern GL_FOG_COORDINATE_EXT :: GLenum Source #

pattern GL_FOG_COORDINATE_SOURCE_EXT :: GLenum Source #

pattern GL_FRAGMENT_DEPTH_EXT :: GLenum Source #

# Functions

glFogCoordPointerEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type FogPointerTypeEXT.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |

This command is an alias for `glFogCoordPointer`.

glFogCoorddEXT Source #

Arguments

:: MonadIO m |
=> GLdouble | `coord` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glFogCoorddvEXT`. This command is an alias for `glFogCoordd`.

glFogCoorddvEXT Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `coord` pointing to `1` element of type `CoordD`.
-> m () |

This command is an alias for `glFogCoorddv`.

glFogCoordfEXT Source #

Arguments

:: MonadIO m |
=> GLfloat | `coord` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glFogCoordfvEXT`. This command is an alias for `glFogCoordf`.

glFogCoordfvEXT Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `coord` pointing to `1` element of type `CoordF`.
-> m () |

This command is an alias for `glFogCoordfv`.